function getUid2(connection, parentCheckpoint, checkpointWeight) {
    logger.info("Gathering UID information from device...");
    checkpoint = parentCheckpoint.add("Getting UID2", checkpointWeight);
    var getUid2 = new GetUid2(connection);
    getUid2.execute();
    checkpoint.setProgress(1.0);
    return getUid2;
}

function printUid2(getUid2) {
    logger.debug(getUid2.getUid2Argument());
    logger.info("\tDevice name: \t{}", getUid2.getUid2Argument().getDeviceName());
    logger.info("\tPart number: \t{}", getUid2.getUid2Argument().getPartNumber());
    logger.info("\tSerial number: \t{}", getUid2.getUid2Argument().getSerialNumber());
    logger.info("\tHardware version: \t{}", ArgumentFormatter.formatHardwareVersion(getUid2.getUid2Argument().getHwVersion()));
    logger.info("\tMAC address: \t{}", ArgumentFormatter.formatMacAddressList(getUid2.getUid2Argument().getMacAddressList()));
}